#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
const int N = 2e5 + 50;
const ll mod = 1e9 + 7;
ll a[N];
int main()
{
    int n;
    scanf("%d", &n);
    for (int i = 0; i < n; i++) scanf("%lld", a + i);
    ll ans = 0;
    unordered_multiset<ll> S{a, a + n};
    for (int i = 0; i < n; i++)
    {
    }
    printf("%lld", ans);
    return 0;
}
